Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

JobName
string
required

The key JobName

Body

application/json

The jobs entity to update.

JobName
string
required

The name of the job.

JobId
string

The id of the job.

WorkspaceId
string

The id of the Workspace.

Source
string

The source connection, usually it is a value of Connection Name.

Destination
string

The destination connection, usually it is a value of Connection Name.

Scheduled
string

Set this to true to the job can be executed according to a specific scheduler, default is false.

ScheduledCron
string

The scheduler cron string.

NotifyWindowsEvent
string

Set this to true to write error messages to the Windows Application Event Log, default is false.

SendEmailNotification
string

Set this to true to send email notifications after jobs are completed, default is false.

NotifyEmailTo
string

The email address where notifications will be sent to.

NotifyEmailSubject
string

The email subject for notifications.

EmailErrorOnly
string

Send the error message only, default is false.

Verbosity
string

The log verbosity level of the job, where 0 represents None, 1 represents Error, 2 represents Info, 3 represents Transfer, and 5 represents Verbose, default is 0.

TableNamePrefix
string

A prefix for all tables being replicated.

UseGmtDateTime
string

Set this to true to synchronize times in the GMT time zone as opposed to local time, default is false.

TruncateTableData
string

Set this to true to delete all rows before each update, default is false.

DropTable
string

Set this to true to drop the table before each update, default is false.

AutoTruncateStrings
string

Set this to true to automatically truncate strings that are too large for the column size, default is true.

ContinueOnError
string

Set this to true to continue onto the next table when previous table throws error, default is true.

AlterSchema
string

Set this to true to add columns and alter data types if there is a mismatch between the source table metadata and the destination table metadata, default is true.

ReplicateInterval
string

Paired with ReplicateIntervalUnit, ReplicateInterval controls the time frames to split the data into when replicating, default is 180 (days).

ReplicateIntervalUnit
string

Paired with ReplicateInterval, ReplicateIntervalUnit controls the time frames to split the data into when replicating. Values are minutes, hours, days, weeks, months, years, rows, default is days.

ReplicateStartDate
string

This option sets the minimum date to start replicating data from (yyyy-MM-dd).

BatchSize
string

Sets the size of batch.

CommandTimeout
string

Controls the timeout for destination connections, default is 300.

DeletionBehavior
string

How to handle Deleted records in the source, default is HardDelete.

OtherCacheOptions
string

A comma separated list of additional options to include.

CacheSchema
string

Assign a specific schema for the destination database.

PreJob
string

The code of Pre-Job event.

PostJob
string

The code of Post-Job event.

StatusConnection
string

Assign a specific connection to store the status of jobs.

Type
string

The type of job.

EnableParallelProcessing
string

Whether allow current job to support parallel processing of queries.

AutomaticJobRetry
string

Whether retry failed tasks, default is true for new jobs.

WorkerPool
string

The size of threads in worker pool, default is 2.

RowVersion
integer<int64>

The version number of row information.

LogicalReplicationSlot
string

The logical replication slot created for the Change Data Capture of PostgreSQL.

HistoryMode
string

Whether use the History Mode to replicate data, default is false.

Label#
string

The labels of Job or Transformation

WithHistory
string

When set this to true, return info contains history, default is false.

HistoryId
string

The historyId of Job, default is 0.

ResetStrategy
string

The strategy of resetting data in the Reverse ETL job

LicenseState
string

Whether the job is valid or invalid based on the license.

LicenseMessage
string

Details for why the job is invalid.

PublicationName
string

The name of the PostgreSQL publication created for streaming changes. This publication is created at start-up if it does not already exist.

PluggableDatabase
string

Enhanced oracle proprietary property. Name of the Oracle pluggable database to connect to. Use this property with container database (CDB) installations only.

AdditionalCDCEngineProperties
string

A comma separated list of additional CDC engine properties to pass to the underlying engine in the format key=value.

InsertMode
string

Whether to create and insert into a new file for every batch or write all rows into a single file.

TableNameSuffix
string

A Suffix for all tables being replicated.

LoadFolderFileNamePattern
string

The file name pattern to load files from a folder, default is "NAME_WITH_EXT".

SkipFormulaFields
boolean

Set this to true, current job will skip all formula fields for the Salesforce source, default is false.

SourceSchema
string

Enhanced DB2 iSereies property. Name of the schema to connect to.

JournalLibrary
string

Enhanced DB2 iSeries property. Name of the journal library.

JournalName
string

Enhanced DB2 iSeries property. Name of the journal.

SnapshotSize
integer<int64>

This option sets the size of the snapshot

SkipSnapshot
boolean

This option sets whether we have to skip the snapshot or not

CDCEngineModeEnabled
boolean

Whether CDC Engine mode is enabled.

CanUpdate
string

Whether the current entity can be updated.

CanRemove
string

Whether the current entity can be removed.

CanExecute
string

Whether the current entity can be executed.

Response

EntitySet jobs

JobName
string
required

The name of the job.

JobId
string

The id of the job.

WorkspaceId
string

The id of the Workspace.

Source
string

The source connection, usually it is a value of Connection Name.

Destination
string

The destination connection, usually it is a value of Connection Name.

Scheduled
string

Set this to true to the job can be executed according to a specific scheduler, default is false.

ScheduledCron
string

The scheduler cron string.

NotifyWindowsEvent
string

Set this to true to write error messages to the Windows Application Event Log, default is false.

SendEmailNotification
string

Set this to true to send email notifications after jobs are completed, default is false.

NotifyEmailTo
string

The email address where notifications will be sent to.

NotifyEmailSubject
string

The email subject for notifications.

EmailErrorOnly
string

Send the error message only, default is false.

Verbosity
string

The log verbosity level of the job, where 0 represents None, 1 represents Error, 2 represents Info, 3 represents Transfer, and 5 represents Verbose, default is 0.

TableNamePrefix
string

A prefix for all tables being replicated.

UseGmtDateTime
string

Set this to true to synchronize times in the GMT time zone as opposed to local time, default is false.

TruncateTableData
string

Set this to true to delete all rows before each update, default is false.

DropTable
string

Set this to true to drop the table before each update, default is false.

AutoTruncateStrings
string

Set this to true to automatically truncate strings that are too large for the column size, default is true.

ContinueOnError
string

Set this to true to continue onto the next table when previous table throws error, default is true.

AlterSchema
string

Set this to true to add columns and alter data types if there is a mismatch between the source table metadata and the destination table metadata, default is true.

ReplicateInterval
string

Paired with ReplicateIntervalUnit, ReplicateInterval controls the time frames to split the data into when replicating, default is 180 (days).

ReplicateIntervalUnit
string

Paired with ReplicateInterval, ReplicateIntervalUnit controls the time frames to split the data into when replicating. Values are minutes, hours, days, weeks, months, years, rows, default is days.

ReplicateStartDate
string

This option sets the minimum date to start replicating data from (yyyy-MM-dd).

BatchSize
string

Sets the size of batch.

CommandTimeout
string

Controls the timeout for destination connections, default is 300.

DeletionBehavior
string

How to handle Deleted records in the source, default is HardDelete.

OtherCacheOptions
string

A comma separated list of additional options to include.

CacheSchema
string

Assign a specific schema for the destination database.

PreJob
string

The code of Pre-Job event.

PostJob
string

The code of Post-Job event.

StatusConnection
string

Assign a specific connection to store the status of jobs.

Type
string

The type of job.

EnableParallelProcessing
string

Whether allow current job to support parallel processing of queries.

AutomaticJobRetry
string

Whether retry failed tasks, default is true for new jobs.

WorkerPool
string

The size of threads in worker pool, default is 2.

RowVersion
integer<int64>

The version number of row information.

LogicalReplicationSlot
string

The logical replication slot created for the Change Data Capture of PostgreSQL.

HistoryMode
string

Whether use the History Mode to replicate data, default is false.

Label#
string

The labels of Job or Transformation

WithHistory
string

When set this to true, return info contains history, default is false.

HistoryId
string

The historyId of Job, default is 0.

ResetStrategy
string

The strategy of resetting data in the Reverse ETL job

LicenseState
string

Whether the job is valid or invalid based on the license.

LicenseMessage
string

Details for why the job is invalid.

PublicationName
string

The name of the PostgreSQL publication created for streaming changes. This publication is created at start-up if it does not already exist.

PluggableDatabase
string

Enhanced oracle proprietary property. Name of the Oracle pluggable database to connect to. Use this property with container database (CDB) installations only.

AdditionalCDCEngineProperties
string

A comma separated list of additional CDC engine properties to pass to the underlying engine in the format key=value.

InsertMode
string

Whether to create and insert into a new file for every batch or write all rows into a single file.

TableNameSuffix
string

A Suffix for all tables being replicated.

LoadFolderFileNamePattern
string

The file name pattern to load files from a folder, default is "NAME_WITH_EXT".

SkipFormulaFields
boolean

Set this to true, current job will skip all formula fields for the Salesforce source, default is false.

SourceSchema
string

Enhanced DB2 iSereies property. Name of the schema to connect to.

JournalLibrary
string

Enhanced DB2 iSeries property. Name of the journal library.

JournalName
string

Enhanced DB2 iSeries property. Name of the journal.

SnapshotSize
integer<int64>

This option sets the size of the snapshot

SkipSnapshot
boolean

This option sets whether we have to skip the snapshot or not

CDCEngineModeEnabled
boolean

Whether CDC Engine mode is enabled.

CanUpdate
string

Whether the current entity can be updated.

CanRemove
string

Whether the current entity can be removed.

CanExecute
string

Whether the current entity can be executed.